#include "TFile.h"
#include "TTree.h"
#include "TSystem.h"
#include "TRandom3.h"

#include <iostream>

int main(int argc, char** argv)
{

    std::cout << "Generating Tree" << std::endl;
    TFile *__lfile = TFile::Open("file.root","RECREATE");
    TTree *__ltree = new TTree("__ltree","title__ltree");
    double toto;
    __ltree->Branch("toto",&toto,"toto/D");

    std::auto_ptr __lrand(new TRandom3());
    __lrand->SetSeed(123456);
    for(unsigned int i=0; i<10; i++)
    {
        toto=__lrand->Gaus(10,4);
        std::cout << "Number is " << toto << std::endl;
        __ltree->Fill();
    }
    
    __ltree->Write();

    std::cout << "Printed t " << __ltree->Draw("toto","","goff")
              << " tDir [" << ((__ltree->GetDirectory()!=0)?__ltree->GetDirectory()->GetName():"") << "]" << std::endl;

    __lfile->Close();
    std::cout << "Exiting the code" << std::endl;
}
